import { Component, Input, ChangeDetectorRef } from "@angular/core";
import { TwitterApiProvider } from "../../providers/twitter-api/twitter-api";

/**
 * Generated class for the TweetActionsComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
@Component({
  selector: "tweet-actions",
  templateUrl: "tweet-actions.html"
})
export class TweetActionsComponent {
  @Input()
  data: any[];

  constructor(
    private twitter: TwitterApiProvider,
    private ref: ChangeDetectorRef
  ) {}

  like(id) {
    if (!this.data["private_tweet"]) {
      this.twitter.likeTweet(id).then(() => {
        this.data["favorited"] = true;
        this.data["favorite_count"]++;
        this.ref.detectChanges();
      });
    }
  }

  removeLike(id) {
    if (!this.data["private_tweet"]) {
      this.twitter.unlikeTweet(id).then(() => {
        this.data["favorited"] = false;
        this.data["favorite_count"]--;
        this.ref.detectChanges();
      });
    }
  }
}
