import { Pipe, PipeTransform } from "@angular/core";

/**
 * Generated class for the HighResolutionPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: "highResolution"
})
export class HighResolutionPipe implements PipeTransform {
  /**
   * Takes a profile img URL string and removes "normal" from the URL to receive a high resolution image
   */
  transform(value: string, ...args) {
    if (value) {
      return value.replace("_normal", "");
    }
  }
}
